@charset 'UTF-8';

@use '../../node_modules/normalize.css/normalize.css';

$color-white: #ffffff;
$color-black: #000000;

$color-bg: #073b4c;
$color-1: #ef476f;
$color-2: #ffd166;
$color-3: #06d6a0;
$color-4: #118ab2;


* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  border: 0;
}

html,
body {
  width: 100%;
  height: 100%;
}

body {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  background-color: $color-bg;
}

.container {
  position: relative;
  width: 200px;
  height: 200px;
  margin: 50px 100px;
  outline: 1px solid rgba($color-white, .1);
  outline-offset: 20px;

  &-2 {
    .box {
      animation-duration: 4s, 8s;

      &:nth-child(2) {
        animation-delay: 0s, -2s;
      }
    }
  }
}

.spin {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  animation: spin 4s ease-in-out 0s infinite normal forwards;
}

.box {
  position: absolute;
  top: calc(50% - 15px);
  left: calc(50% - 15px);
  width: 30px;
  height: 30px;
  border-radius: 6px / 6px;
  animation: color 4s ease-in-out 0s infinite normal forwards,
    box 4s ease-in-out 0s infinite normal forwards;

  &:nth-child(2) {
    animation-delay: 0s, -1s;
  }
}

@keyframes color {
  0%,
  100% {
    background-color: $color-1;
  }

  25% {
    background-color: $color-2;
  }

  50% {
    background-color: $color-3;
  }

  75% {
    background-color: $color-4;
  }
}

@keyframes box {
  0%,
  100% {
    transform: scale(1, 1);
  }

  12.5% {
    border-radius: 2px / 10px;
    transform: scale(5, 1);
  }

  25% {
    transform: scale(1, 1);
  }

  37.5% {
    border-radius: 10px / 2px;
    transform: scale(1, 5);
  }

  50% {
    transform: scale(1, 1);
  }

  62.5% {
    border-radius: 2px / 10px;
    transform: scale(5, 1);
  }

  75% {
    transform: scale(1, 1);
  }

  87.5% {
    border-radius: 10px / 2px;
    transform: scale(1, 5);
  }
}

@keyframes spin {
  0% {
    transform: rotate(0);
  }

  25% {
    transform: rotate(90deg);
  }

  50% {
    transform: rotate(180deg);
  }

  75% {
    transform: rotate(270deg);
  }

  100% {
    transform: rotate(360deg);
  }
}
